package com.ruoyi.abuwx.service;

import java.util.List;
import com.ruoyi.abuwx.domain.InfoCategory;

/**
 * 资讯类别Service接口
 * 
 * @author lujie
 * @date 2024-12-19
 */
public interface IInfoCategoryService 
{
    /**
     * 查询资讯类别
     * 
     * @param id 资讯类别主键
     * @return 资讯类别
     */
    public InfoCategory selectInfoCategoryById(Long id);

    /**
     * 查询资讯类别列表
     * 
     * @param infoCategory 资讯类别
     * @return 资讯类别集合
     */
    public List<InfoCategory> selectInfoCategoryList(InfoCategory infoCategory);

    /**
     * 新增资讯类别
     * 
     * @param infoCategory 资讯类别
     * @return 结果
     */
    public int insertInfoCategory(InfoCategory infoCategory);

    /**
     * 修改资讯类别
     * 
     * @param infoCategory 资讯类别
     * @return 结果
     */
    public int updateInfoCategory(InfoCategory infoCategory);

    /**
     * 批量删除资讯类别
     * 
     * @param ids 需要删除的资讯类别主键集合
     * @return 结果
     */
    public int deleteInfoCategoryByIds(Long[] ids);

    /**
     * 删除资讯类别信息
     * 
     * @param id 资讯类别主键
     * @return 结果
     */
    public int deleteInfoCategoryById(Long id);
}
